| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::gapi::wip::draw::Text Struct Reference
G-API Drawing and composition functionality » Drawing primitives

This structure represents a text string to draw. More...

`#include <opencv2/gapi/render/render.hpp>`

## Public Member Functions
| Text (const std::string &text_, const cv::Point &org_, int ff_, double fs_, const cv::Scalar &color_, int thick_=1, int lt_=cv::LINE_8, bool bottom_left_origin_=false)
| Text constructor. More...

## Public Attributes
std::string | text
| The text string to be drawn. More...
cv::Point | org
| The bottom-left corner of the text string in the image. More...
int | ff
| The font type, see HersheyFonts. More...
double | fs
| The font scale factor that is multiplied by the font-specific base size. More...
cv::Scalar | color
| The text color. More...
int | thick
| The thickness of the lines used to draw a text. More...
int | lt
| The line type. See LineTypes. More...
bool | bottom_left_origin
| When true, the image data origin is at the bottom-left corner. Otherwise, it is at the top-left corner. More...

## Detailed Description

This structure represents a text string to draw.

Parameters match cv::putText().

## Constructor & Destructor Documentation

## ◆ Text()

cv::gapi::wip::draw::Text::Text | ( | const std::string & | text_,
|  | const cv::Point & | org_,
|  | int | ff_,
|  | double | fs_,
|  | const cv::Scalar & | color_,
|  | int | thick_ = `1`,
|  | int | lt_ = `cv::LINE_8`,
|  | bool | bottom_left_origin_ = `false`
| ) |  |
| inline

Text constructor.

Parameters

  text_ | The text string to be drawn
  org_ | The bottom-left corner of the text string in the image
  ff_ | The font type, see HersheyFonts
  fs_ | The font scale factor that is multiplied by the font-specific base size
  color_ | The text color
  thick_ | The thickness of the lines used to draw a text
  lt_ | The line type. See LineTypes
  bottom_left_origin_ | When true, the image data origin is at the bottom-left corner. Otherwise, it is at the top-left corner

## Member Data Documentation

## ◆ bottom_left_origin

bool cv::gapi::wip::draw::Text::bottom_left_origin

When true, the image data origin is at the bottom-left corner. Otherwise, it is at the top-left corner.

## ◆ color

cv::Scalar cv::gapi::wip::draw::Text::color

The text color.

## ◆ ff

int cv::gapi::wip::draw::Text::ff

The font type, see HersheyFonts.

## ◆ fs

double cv::gapi::wip::draw::Text::fs

The font scale factor that is multiplied by the font-specific base size.

## ◆ lt

int cv::gapi::wip::draw::Text::lt

The line type. See LineTypes.

## ◆ org

cv::Point cv::gapi::wip::draw::Text::org

The bottom-left corner of the text string in the image.

## ◆ text

std::string cv::gapi::wip::draw::Text::text

The text string to be drawn.

## ◆ thick

int cv::gapi::wip::draw::Text::thick

The thickness of the lines used to draw a text.

The documentation for this struct was generated from the following file:

- opencv2/gapi/render/render.hpp